# Options

List of options available for components.

## Core Components

### Card

```
options : {
    inlineSVG
    class: {
        main
        figure
        image
        imageComponent
        body
        title
        description
    }
}
```

### iFrame

### Menu

options : {
class: {
main
item
name
link
items : {
main
item
name
link
}
subitems : {
main
item
name
link
}
}
}

### TitleComponent

```
options : {
    divideTitle: bool
    class: {
        title: string
        divide: string
    }
}
```

-   "divideTitle": bool - affiche un titre sous forme -------------Titre---------------
-   "class": { "title": "text-secondary text-center" } - Class pour le titre
-   "class": { "divide": "bg-red-200" } - Class pour le diviseur

## Components

### Sections

### Hero

```
options : {
    size: xs | base | xl
    layout: card | tile
    carousel: {}
    image: {
        objectPosition: top | 50% 50%
    }
    card: {cf. card}
    class: {
        main
        mask
        body
        bodydiv
        title
        subtitle
        content
        action
        services
    }
}
```

### Maps

```
options : {
    theme
}
```

### Socials

```
options : {
    main
    social
    logo
}
```

### News

```
options : {
    action
    actions
    card
    cards
    anime
    theme
    class: {
        main
        title
        action
        actions
    }
}
```

### Data

### Text

```
options : {
    action
    class: {
        main
        title
        content
        action
    }
}
```

### Partners

```
options : {
    slidesPerView (alias todo)
    class: {
        title
        main
        carousel : {
            class : {
                body
                swiperSlide
                image
            }
        }
    }
    carousel: {
        swiper: {
            slidesPerView
        }
    }
}
```

### carousel

```
options :  {
    class : {
        body
        swiperSlide
        image
    }
    swiper: {
        slidesPerView
    }
}

```
